<app-toolbar></app-toolbar>
<div [formGroup]="formGroup">
  <div class="w-[300px] sm:w-[500px] space-y-4 px-6 py-9">
    <div class="flex justify-between border-b border-gray-800 py-3.5">
      <p class="font-semibold text-gray-800">멤버초대</p>
      <button class="w-6 h-6 bg-gray-200 rounded" (click)="close()">
        <img src="/assets/icons/close.svg" alt="" />
      </button>
    </div>

    <div class="flex flex-col sm:items-center space-y-2 sm:flex-row sm:space-x-3 sm:space-y-0 w-full">
      <div class="flex space-x-3 sm:flex-1 w-full">
        <app-input-label class="w-full [&>div]:mt-0">
          <input class="w-full" type="text" placeholder="이메일" formControlName="email" />
        </app-input-label>
        <app-button (click)="add()" class="w-14">추가</app-button>
      </div>
      <p class="text-xs font-semibold leading-5 text-center text-gray-400">또는</p>
      <app-button [fill]="'outline'">링크 복사</app-button>
    </div>

    <div>
      <p class="py-3.5 font-semibold text-gray-700">초대 멤버 <span class="text-primary">{{emailList.length}}</span>명</p>
      <div class="min-h-[200px] border-y border-gray-600 py-4 space-y-4">
        @for (item of emailList; track $index) {
        <div class="flex items-center justify-between text-xs">
          <p>{{item}}</p>
          <div (click)="remove($index)">삭제</div>
        </div>
        }
      </div>
    </div>
    <div class="flex justify-end space-x-2">
      <app-button [fill]="'outline'" class="!border-border !text-neutral30 px-4" (click)="close()">취소</app-button>
      <app-button class="px-4" (click)="onSubmit()">초대</app-button>
    </div>
  </div>